package cz.muni.fi.pb138.fsmda.analysis;

import org.w3c.dom.Document;

/**
 * Computes the size of every directory in the document and stores it in the
 * node. Size of a directory is sum of sizes of all contained files and
 * directories.
 *
 * @author Matus Nemec
 */
public interface DirectorySizer {
    /*
     * Modifies document representing filesystem by adding computed sizes of all
     * directories.
     *
     * @param doc valid document representing filesystem which is modified by
     * the method
     */
    void addSizeOfDirectories(Document doc);
}