
package cz.muni.fi.pb138.fsmda.comparison;

import java.util.List;

/**
 * Provides help with comparison of file system and XML file by covvering all
 * necessary methods
 * 
 * @author Maros
 */
public interface ComparisonManager {

    /**
     * Method prepares documents for comparison and returns result given by FileSystemComparer
     * 
     * @param filePath - path to xml file
     * @param fileSystemPath - path to file system
     * @return list of differencies
     */
    List<String> compare(String filePath, String fileSystemPath);
}
