/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.pb138.fsmda.gui;

import java.io.File;
import java.util.Comparator;

/**
 * Compares files by their last modification in descending order.
 * 
 * @author Radike
 */
class FileComparator implements Comparator<File>{
    @Override
    public int compare(File t, File t1) {
        Long lastModified1 = t.lastModified();
        Long lastModified2 = t1.lastModified();
        return lastModified2.compareTo(lastModified1);
    } 
}
